Bug 6368 - unimarc_field_4XX plugin does not work with new templates
Summary: unimarc_field_4XX plugin does not work with new templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Janusz Kaczmarek
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-05-18 20:31 UTC by Janusz Kaczmarek
Modified: 2013-12-05 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (3.57 KB, patch)
2011-05-18 20:33 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Signed-off patch (4.02 KB, patch)
2011-05-19 04:24 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2011-05-18 20:31:48 UTC
unimarc_field_4XX does not work now in 3.4+, after introducing the new templates system.

This particular error is due to prefixing $index in loops with accidental names.

A patch will follow.
Comment 1 Janusz Kaczmarek 2011-05-18 20:33:35 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2011-05-19 04:24:42 UTC
Created attachment 4176 [details] [review]
Signed-off patch
Comment 3 Frédéric Demians 2011-05-19 04:25:32 UTC
I confirm the bug. A step-to-step description of the bug should have
been welcomed:

- Koha Pro Home > Add MARC Record
- Select a framework having a tag linked to 4xx plugin
- Go to a tag linked to 4xx plugin (for example 461 tag)
- Click on ..., it open the plugin
- Do a search
- On the result page, click on Choose to copy into the current tag the
  appropriate info from select biblio record
  => data is not copied as expected
Comment 4 Chris Cormack 2011-05-29 03:56:41 UTC
T::T Bug, pushed please test
Comment 5 Frédéric Demians 2011-09-14 05:07:29 UTC
(In reply to comment #4)
> T::T Bug, pushed please test

This patch hasn't been pushed. It isn't available neither in HEAD nor in 3.4.x. The bug is still here and the attached signed-off patch still apply on HEAD. I change its status to Passed QA in order to remind RM to push it. -- Thanks.
Comment 6 Chris Cormack 2011-09-14 08:12:28 UTC
Pushed to master, please test
Comment 7 Frédéric Demians 2011-09-14 08:21:47 UTC
(In reply to comment #6)
> Pushed to master, please test

Tested: It works now in master. Thanks. Waiting to see it in 3.4.x!
Comment 8 Chris Nighswonger 2011-10-26 18:02:26 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.
Comment 9 Jared Camins-Esakov 2012-12-31 00:28:00 UTC
There have been no further reports of problems so I am marking this bug resolved.